macにagをインストールしようとしたら「Error: You must `brew link xz pcre` before the_silver_searcher can be installed」

macに使い慣れたagコマンドをインストールしようと、brewでインストール!!


$ brew link xz pcre

が、しかし


Error: You must `brew link xz pcre` before the_silver_searcher can be installed

とエラーが返ってきました。

brew link xz pcre」が必要らしい。

ではでは


$ brew link xz pcre

が、しかし。


Linking /usr/local/Cellar/xz/5.2.2... Error: Could not symlink bin/lzcat /usr/local/bin is not writable.

あ、実行権限が無いっていわれたw失礼


sudo brew link xz pcre

OK!

で、

次こそthe sliver searcherをインストール!!


sudo brew install the_silver_searcher

インストールできましたw

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください